/* 
 * Copyright (c) 2000 Carnegie Mellon University.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The name "Carnegie Mellon University" must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For permission or any other legal
 *    details, please contact  
 *      Office of Technology Transfer
 *      Carnegie Mellon University
 *      5000 Forbes Avenue
 *      Pittsburgh, PA  15213-3890
 *      (412) 268-4387, fax: (412) 268-7395
 *      tech-transfer@andrew.cmu.edu
 *
 * 4. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by Computing Services
 *     at Carnegie Mellon University (http://www.cmu.edu/computing/)."
 *
 * CARNEGIE MELLON UNIVERSITY DISCLAIMS ALL WARRANTIES WITH REGARD TO
 * THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE
 * FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
 * AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
 * OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

/*
 * Key definitions for unix version
 */

#define EXT_ASCII(xx)  (256 + (xx))

#define KEYCODE_LEFT	    (2)
#define KEYCODE_RIGHT	    (6)
#define KEYCODE_UP	    (16)
#define KEYCODE_DOWN	    (14)
#define KEYCODE_TAB	    (9)
#define KEYCODE_RETURN	    (10)
#define KEYCODE_FAKERETURN  (13)
#define KEYCODE_INSERT	    (15)
#define KEYCODE_DELETE	    (4)
#define KEYCODE_HOME	    (1)
#define KEYCODE_END	    (5)
#define KEYCODE_BACKSPACE   (8)
#define KEYCODE_DEL	    (127)
#define KEYCODE_CTRL_K      (11)
#define KEYCODE_ESCAPE	    (7)
#define KEYCODE_CTRL_HOME   (EXT_ASCII('<'))
#define KEYCODE_ESCAPE_HOME KEYCODE_CTRL_HOME
#define KEYCODE_ESCAPE_END  (EXT_ASCII('>'))
#define KEYCODE_PAGE_DOWN   (22)
#define KEYCODE_PAGE_UP	    (EXT_ASCII('v'))
#define KEYCODE_CTRL_Y      (25)
#define KEYCODE_SLASH       '/'
#define KEYCODE_F           'f'
#define KEYCODE_R           'r'
#define KEYCODE_S           's'
#define KEYCODE_V           'v'
#define KEYCODE_AT          '@'
#define KEYCODE_GT          '>'

#define KEYCODE_F1	    (EXT_ASCII('1'))
#define KEYCODE_F2	    (EXT_ASCII('2'))
#define	KEYCODE_F3	    (EXT_ASCII('3'))
#define	KEYCODE_F4	    (EXT_ASCII('4'))
#define	KEYCODE_F5	    (EXT_ASCII('5'))
#define	KEYCODE_F6	    (EXT_ASCII('6'))
#define	KEYCODE_F7	    (EXT_ASCII('7'))
#define	KEYCODE_F8	    (EXT_ASCII('8'))
#define KEYCODE_F9          (EXT_ASCII('9'))
#define KEYCODE_F10         (EXT_ASCII('0'))

#define KEYCODE_REDRAW	    (12)

#define KEYCODE_ALT_A       (EXT_ASCII('A'))
#define KEYCODE_ALT_B       (EXT_ASCII('B'))
#define KEYCODE_ALT_C       (EXT_ASCII('C'))
#define KEYCODE_ALT_D       (EXT_ASCII('D'))
#define KEYCODE_ALT_E       (EXT_ASCII('E'))
#define KEYCODE_ALT_F       (EXT_ASCII('F'))
#define KEYCODE_ALT_G       (EXT_ASCII('G'))
#define KEYCODE_ALT_H       (EXT_ASCII('H'))
#define KEYCODE_ALT_I       (EXT_ASCII('I'))
#define KEYCODE_ALT_J       (EXT_ASCII('J'))
#define KEYCODE_ALT_K       (EXT_ASCII('K'))
#define KEYCODE_ALT_L       (EXT_ASCII('L'))
#define KEYCODE_ALT_M       (EXT_ASCII('M'))
#define KEYCODE_ALT_N       (EXT_ASCII('N'))
#define KEYCODE_ALT_O       (EXT_ASCII('O'))
#define KEYCODE_ALT_P       (EXT_ASCII('P'))
#define KEYCODE_ALT_Q       (EXT_ASCII('Q'))
#define KEYCODE_ALT_R       (EXT_ASCII('R'))
#define KEYCODE_ALT_S       (EXT_ASCII('S'))
#define KEYCODE_ALT_T       (EXT_ASCII('T'))
#define KEYCODE_ALT_U       (EXT_ASCII('U'))
#define KEYCODE_ALT_V       (EXT_ASCII('V'))
#define KEYCODE_ALT_W       (EXT_ASCII('W'))
#define KEYCODE_ALT_X       (EXT_ASCII('X'))
#define KEYCODE_ALT_Y       (EXT_ASCII('Y'))
#define KEYCODE_ALT_Z       (EXT_ASCII('Z'))
#define KEYCODE_ALT_EQUAL   (EXT_ASCII('='))
#define KEYCODE_ALT_MINUS   (EXT_ASCII('-'))


#define KEYCODE_SHIFT_TAB   (EXT_ASCII(KEYCODE_TAB))


#define KEYCODE_ALT_QMARK   KEYCODE_F10
#define KEYCODE_CTRL_O      (15)
#define KEYCODE_CTRL_S      (19)
