/* 
 * Copyright (c) 2000 Carnegie Mellon University.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The name "Carnegie Mellon University" must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For permission or any other legal
 *    details, please contact  
 *      Office of Technology Transfer
 *      Carnegie Mellon University
 *      5000 Forbes Avenue
 *      Pittsburgh, PA  15213-3890
 *      (412) 268-4387, fax: (412) 268-7395
 *      tech-transfer@andrew.cmu.edu
 *
 * 4. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by Computing Services
 *     at Carnegie Mellon University (http://www.cmu.edu/computing/)."
 *
 * CARNEGIE MELLON UNIVERSITY DISCLAIMS ALL WARRANTIES WITH REGARD TO
 * THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE
 * FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
 * AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
 * OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */



/*
 * common key definitions
 */

#ifdef CURSES
#include "and_keys.h"
#endif

#ifdef IBMPC
#include <pc_keys.h>
#endif

#define CONTROL_BREAK 0x03

#define TAB_KEY	    0x09
#define ESC_KEY	    0x1b
#define SPC_KEY	    0x20

#define CANCEL_KEY  KEYCODE_ESCAPE

#define MOVE_KEY    KEYCODE_MOVE
#define RESIZE_KEY  KEYCODE_RESIZE

#define KEYCODE_CLOSE        KEYCODE_ESCAPE

#define KEYCODE_FOLDERS      KEYCODE_F1
#define KEYCODE_CAPTIONS     KEYCODE_F2
#define KEYCODE_MESSAGE      KEYCODE_F3
#define KEYCODE_FILER        KEYCODE_F4
#define KEYCODE_CONSOLE      KEYCODE_F5
#define KEYCODE_DOCUMENT     KEYCODE_F6

#define KEYCODE_PUNT         KEYCODE_GT
#define KEYCODE_READ_PREV    KEYCODE_ALT_B
#define KEYCODE_COPY         KEYCODE_ALT_C
#define KEYCODE_MSG_DELETE   KEYCODE_ALT_D
#define KEYCODE_EDIT         KEYCODE_ALT_E
#define KEYCODE_READ_NEXT    'N'
#define KEYCODE_GET_MAIL     KEYCODE_ALT_G
#define KEYCODE_HELP         KEYCODE_ALT_H
#define KEYCODE_SETNEW       KEYCODE_ALT_I
#define KEYCODE_PREFS_MENU   KEYCODE_ALT_J
#define KEYCODE_KILL_NEXT    KEYCODE_ALT_K
#define KEYCODE_LOCAL_PRINT  KEYCODE_ALT_L
#define KEYCODE_COMPOSE      KEYCODE_ALT_N
#define KEYCODE_LOCAL_OPEN   KEYCODE_ALT_O
#define KEYCODE_REMOTE_PRINT KEYCODE_ALT_P
#define KEYCODE_QUIT         KEYCODE_ALT_Q
#define KEYCODE_REPLY_MENU   'r'
#define KEYCODE_LOCAL_SAVE   KEYCODE_ALT_S
#define KEYCODE_FMSG_MENU    KEYCODE_ALT_F
#define KEYCODE_MSG_UNDELETE KEYCODE_ALT_U
#define KEYCODE_EXCERPT      KEYCODE_ALT_W
#define KEYCODE_EXPOSE_MENU  KEYCODE_ALT_X
#define KEYCODE_SUBS_MENU    KEYCODE_ALT_Y
#define KEYCODE_ZOOM         KEYCODE_ALT_Z
#define KEYCODE_SEND         KEYCODE_ALT_EQUAL
#define KEYCODE_VERIFY       KEYCODE_ALT_MINUS
#define KEYCODE_ADD_HEADERS  KEYCODE_F7
#define KEYCODE_UNIX_SVC     KEYCODE_F8
#define KEYCODE_AFS_SVC      KEYCODE_F9

#define KEYCODE_KEY_MAP     KEYCODE_F10

#define KEYCODE_SET_MARK    KEYCODE_ALT_M

#define KEYCODE_CUT         KEYCODE_CTRL_K
#define KEYCODE_PASTE       KEYCODE_CTRL_Y

#define KEYCODE_ESC_TAB     KEYCODE_SHIFT_TAB

#define KEYCODE_ALT_SET_MARK   (0)  /* control-@ */
#define KEYCODE_SAVE_DRAFT  KEYCODE_CTRL_S
