/* 
 * Copyright (c) 2000 Carnegie Mellon University.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The name "Carnegie Mellon University" must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For permission or any other legal
 *    details, please contact  
 *      Office of Technology Transfer
 *      Carnegie Mellon University
 *      5000 Forbes Avenue
 *      Pittsburgh, PA  15213-3890
 *      (412) 268-4387, fax: (412) 268-7395
 *      tech-transfer@andrew.cmu.edu
 *
 * 4. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by Computing Services
 *     at Carnegie Mellon University (http://www.cmu.edu/computing/)."
 *
 * CARNEGIE MELLON UNIVERSITY DISCLAIMS ALL WARRANTIES WITH REGARD TO
 * THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE
 * FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
 * AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
 * OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */


#ifndef EDIT_H
#define EDIT_H

#include "text.h"

void EDT_FreeCopyBuffer(void);

int EDT_CopyText(char *aText,int len, int append_it);

void EDT_CloseGap(TEXT_BUF_pt atbuf);

void EDT_AddHeader(TEXT_BUF_pt atbuf,int hdr_index,char *hdr_text);

void EDT_AddFaxHeaders(TEXT_BUF_pt atbuf,int use_more_options);

void EDT_RecalcHeaders(TEXT_BUF_pt atbuf);

void EDT_InsertString(TEXT_BUF_pt atbuf,char *str,int str_len, int set_cursor);

void EDT_InsertChar(TEXT_BUF_pt atbuf,int key,int set_cursor);

int EDT_GetCopyText(char **text_ptr,int  *text_len);

int EDT_KeyIndex(int akey);

int EDT_ProcessKey(int key,TEXT_BUF *atbuf);

int EDT_Edit(TEXT_BUF_pt atbuf);

int EDT_GetBytes(TEXT_BUF_pt atbuf,long pos,char *buf,int buflen);

int EDT_GetCopyTextLen(void);

void EDT_EndCursor(TEXT_BUF_pt atbuf);

void EDT_SetCursorInBody(TEXT_BUF_pt atbuf);

void EDT_RestoreLine(TEXT_BUF_pt atbuf);

void EDT_DeleteChar(TEXT_BUF_pt atbuf);

void EDT_EditEnd(TEXT_BUF_pt atbuf);

void EDT_SetCursorInHeader(TEXT_BUF_pt atbuf);

void EDT_GotoBOL(TEXT_BUF_pt atbuf);

void EDT_GotoEOL(TEXT_BUF_pt atbuf);

void EDT_SaveDraft(TEXT_BUF_pt atbuf);

#endif /* EDIT_H */
