/* 
 * Copyright (c) 2000 Carnegie Mellon University.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer. 
 *
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 * 3. The name "Carnegie Mellon University" must not be used to
 *    endorse or promote products derived from this software without
 *    prior written permission. For permission or any other legal
 *    details, please contact  
 *      Office of Technology Transfer
 *      Carnegie Mellon University
 *      5000 Forbes Avenue
 *      Pittsburgh, PA  15213-3890
 *      (412) 268-4387, fax: (412) 268-7395
 *      tech-transfer@andrew.cmu.edu
 *
 * 4. Redistributions of any form whatsoever must retain the following
 *    acknowledgment:
 *    "This product includes software developed by Computing Services
 *     at Carnegie Mellon University (http://www.cmu.edu/computing/)."
 *
 * CARNEGIE MELLON UNIVERSITY DISCLAIMS ALL WARRANTIES WITH REGARD TO
 * THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
 * AND FITNESS, IN NO EVENT SHALL CARNEGIE MELLON UNIVERSITY BE LIABLE
 * FOR ANY SPECIAL, INDIRECT OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
 * WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN
 * AN ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING
 * OUT OF OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
 */

#ifndef RLCI_H
#define RLCI_H

/*
 * Data shared between the various rlci segments
 */

#include "rli.h"
#include "mmclib.h"
#include "clinet.h"
#include "and_scr.h"

/* is the given position within the recieve window? */
#define LI_IN_WINDOW(xx_li,xx_arg) \
  (((xx_arg-xx_li->pos)>=0) && (((xx_arg)-xx_li->pos)<rl_chunk_size))

extern void appl_ConnectHappened();
extern void SetBanner();
extern void QuitCleared();
extern int  want_busy_command();

extern int the_end_is_comming;

extern RL_header RL_all[RL_NUM_LISTS];

void RL_open(int lii,long lindex, char *crit);

globals_t *rl_getglob(int type, int spot);
int RL_set(int type, int spot, char *str, int msgno, globals_t *g);
int rl_getmsgno(int type, int spot);
int rl_getcurmsgno(int type);
void RL_setchar(int type, int spot, int cspot, char ch);
void RL_set_header(int type,int spot,char *str);
char *RL_get_header(int type, int spot);
void RL_zero(int type);
int RL_read(int arli,long idx,char *astr);
void GetListSize(int  lii,long *size, long *start);
int RL_count_new ( void );
void RL_query_and_expunge ( void );

#endif /* RLCI_H */
